<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="adfBankAccountGet/BankAccount/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(adfBankAccountGet/BankAccount)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="//BankAccount"/>
        <xsl:value-of select="adf:GetFooter(adfBankAccountGet/BankAccount)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>


  <xsl:template match="BankAccount">
    <table class="main" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Компания:
              </xsl:when>
              <xsl:otherwise>
                Company:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="adf:GetListMember(CompanyID, 'Company', 'Name')"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Валюта:
              </xsl:when>
              <xsl:otherwise>
                Currency:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="CurrencyCode"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Банк:
              </xsl:when>
              <xsl:otherwise>
                Bank:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="BankName"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Страна:
              </xsl:when>
              <xsl:otherwise>
                Country:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="Country"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Город:
              </xsl:when>
              <xsl:otherwise>
                City:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="City"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Адрес:
              </xsl:when>
              <xsl:otherwise>
                Address:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="Address"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                БИК:
              </xsl:when>
              <xsl:otherwise>
                Bank code:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="BankCode"/>
        </td>
      </tr>
    </table>
    <table class="main" cellspacing="0" cellpadding="0" border="0">
      <col width="45%"/>
      <col width="10%"/>
      <col width="45%"/>
      <tr>
        <td colspan="3" style="border-bottom:solid 1px blue;color:blue">
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Расчетный счет:
              </xsl:when>
              <xsl:otherwise>
                Bank Account:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Счет №:
              </xsl:when>
              <xsl:otherwise>
                Account №:
              </xsl:otherwise>
            </xsl:choose> </strong>
          <xsl:value-of select="Account"/>
        </td>
        <td></td>
        <td>
          <strong>SWIFT: </strong>
          <xsl:value-of select="SWIFT"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>ABA: </strong>
          <xsl:value-of select="ABA"/>
        </td>
        <td></td>
        <td>
          <strong>IBAN: </strong>
          <xsl:value-of select="IBAN"/>
        </td>
      </tr>
      <tr>
        <td colspan="3" style="border-bottom:solid 1px blue;color:blue">
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Корреспондентский счет
              </xsl:when>
              <xsl:otherwise>
                Intermediary Account Information
              </xsl:otherwise>
            </xsl:choose>
          </strong>
        </td>
      </tr>
      <tr>
        <td colspan="3">
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Банк:
              </xsl:when>
              <xsl:otherwise>
                Bank:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="IntermediaryBank"/>
        </td>
      </tr>
      <tr>
        <td colspan="3">
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Адрес:
              </xsl:when>
              <xsl:otherwise>
                Address:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="IntermediaryAddress"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Счет №:
              </xsl:when>
              <xsl:otherwise>
                Account №:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="IntermediaryAccount"/>
        </td>
        <td></td>
        <td>
          <strong>SWIFT: </strong>
          <xsl:value-of select="IntermediarySWIFT"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>ABA: </strong>
          <xsl:value-of select="IntermediaryABA"/>
        </td>
        <td></td>
        <td>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>