<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="adfCompanyGet/Company/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(adfCompanyGet/Company)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="//Company"/>
        <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td>
              <xsl:choose>
                <xsl:when test="adfCompanyGet/CompanyIndustryBranch">
                  <br />
                  <strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Отрасли, в которых компания ведет хозяйственную деятельность:
                      </xsl:when>
                      <xsl:otherwise>
                        Industries
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
                  <xsl:for-each select="adfCompanyGet/CompanyIndustryBranch">
                    <xsl:apply-templates select="."/>
                  </xsl:for-each>
                </xsl:when>
                <xsl:otherwise>	 </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>
        <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td>
              <xsl:choose>
                <xsl:when test="adfCompanyGet/Address">
                  <br />
                    <xsl:if test='@lang = ru'>
                      <strong>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Адреса:
                          </xsl:when>
                          <xsl:otherwise>
                            Addresses:
                          </xsl:otherwise>
                        </xsl:choose>
                      </strong>
                    </xsl:if>

                  
                   
                  <br />
                  <br />

                  <table border="1" cellspacing="0" cellpadding="4">
                    <tr>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Тип
                          </xsl:when>
                          <xsl:otherwise>
                            Type
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Улица
                          </xsl:when>
                          <xsl:otherwise>
                            Street
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Город
                          </xsl:when>
                          <xsl:otherwise>
                            City
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Регион
                          </xsl:when>
                          <xsl:otherwise>
                            Region
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Индекс
                          </xsl:when>
                          <xsl:otherwise>
                            Postal code
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Страна
                          </xsl:when>
                          <xsl:otherwise>
                            Country
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>

                    </tr>
                    <xsl:for-each select="adfCompanyGet/Address">
                      <xsl:apply-templates select="."/>
                    </xsl:for-each>
                  </table>

                </xsl:when>
                <xsl:otherwise>	</xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>

        <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td>
              <xsl:choose>
                <xsl:when test="adfCompanyGet/Phone">
                  <br />
                  <strong>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Телефоны:
                    </xsl:when>
                    <xsl:otherwise>
                      Phone Numbers:
                    </xsl:otherwise>
                  </xsl:choose>
                </strong>
                  <br />
                  <br />
                  <table border="1" cellspacing="0" cellpadding="4">
                    <tr>
                      <th>
                        <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Тип
                        </xsl:when>
                        <xsl:otherwise>
                          Type
                        </xsl:otherwise>
                      </xsl:choose>
                    </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Номер
                          </xsl:when>
                          <xsl:otherwise>
                            Number
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                    </tr>
                    <xsl:for-each select="adfCompanyGet/Phone">
                      <xsl:apply-templates select="."/>
                    </xsl:for-each>
                  </table>

                </xsl:when>
                <xsl:otherwise>	</xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>

        <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td>

              <br />
              <xsl:choose>
                <xsl:when test="adfCompanyGet/Email">
                  <strong>E-mail:</strong>
                  <br />
                  <br />
                  <table border="1" cellspacing="0" cellpadding="4">
                    <tr>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Тип
                          </xsl:when>
                          <xsl:otherwise>
                            Type
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>E-mail</th>
                    </tr>
                    <xsl:for-each select="adfCompanyGet/Email">
                      <xsl:apply-templates select="."/>
                    </xsl:for-each>
                  </table>

                </xsl:when>
                <xsl:otherwise>	</xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>
        <xsl:value-of select="adf:GetFooter(adfCompanyGet/Company)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="CompanyIndustryBranch">
    <tr>
      <td>
        <xsl:value-of select="adf:GetListMember(IndustryBranchID, 'IndustryBranch', 'Name')"/>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="Address">
    <tr>
      <td >
        <xsl:value-of select="adf:GetListMember(AddressTypeID, 'AddressType', 'Name')"/>
      </td>
      <td >
        <xsl:value-of select="Street"/>
      </td>
      <td >
        <xsl:value-of select="City"/>
      </td>
      <td>
        <xsl:value-of select="Region"/>
      </td>
      <td>
        <xsl:value-of select="PostalCode"/>
      </td>
      <td>
        <xsl:value-of select="Country"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="Email">
    <tr>
      <td>
        <xsl:value-of select="adf:GetListMember(EmailTypeID, 'EmailType', 'Name')"/>
      </td>
      <td>
        <xsl:value-of select="Email"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="Phone">
    <tr>
      <td>
        <xsl:value-of select="adf:GetListMember(PhoneTypeID, 'PhoneType', 'Name')"/>
      </td>
      <td>
        <xsl:value-of select="Phone"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="Company">
    <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="ExecutiveEmployeeID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Руководитель:
                  </xsl:when>
                  <xsl:otherwise>
                    Executive:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(ExecutiveEmployeeID, 'Employee', 'Name')"/>
            </xsl:when>
            <xsl:otherwise> </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>

          <xsl:choose>
            <xsl:when test="AccountantEmployeeID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Гл. бухгалтер:
                  </xsl:when>
                  <xsl:otherwise>
                    Accountant:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(AccountantEmployeeID, 'Employee', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>	</xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="LegalCode">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    ИНН:
                  </xsl:when>
                  <xsl:otherwise>
                    VAT Code
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="LegalCode"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="KPP">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    КПП:
                  </xsl:when>
                  <xsl:otherwise>
                    KPP:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="KPP"/>
            </xsl:when>
            <xsl:otherwise>	</xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="BankAccountID">
              <br />
              <strong>  
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Расчетный счет:
                </xsl:when>
                <xsl:otherwise>
                  Bank Account:
                </xsl:otherwise>
              </xsl:choose>
            </strong>
              <xsl:value-of select="adf:GetListMember(BankAccountID, 'BankAccount', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="FoundationDate">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Дата основания:
                  </xsl:when>
                  <xsl:otherwise>
                    Foundation Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(FoundationDate,'d')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <br />
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Собственная компания:
              </xsl:when>
              <xsl:otherwise>
                Own Company:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:choose>
            <xsl:when test="Own='true'">
              <input id="Checkbox2" checked="checked" type="checkbox"  disabled="true"  />
            </xsl:when>
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="Own='false'">
              <input id="Checkbox2" type="checkbox" disabled="true" />
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="CompanySizeID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Размер компании
                  </xsl:when>
                  <xsl:otherwise>
                    Company Size
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(CompanySizeID, 'CompanySize', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>	</xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="CompanyTurnoverID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Обороты компании
                  </xsl:when>
                  <xsl:otherwise>
                    Company Turnovers
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(CompanyTurnoverID, 'CompanyTurnover', 'Name')"/>
            </xsl:when>
            <xsl:otherwise></xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="ManagerEmployeeID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Менеджер, ответственный за работу с компанией:
                  </xsl:when>
                  <xsl:otherwise>
                    Company Manager:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(ManagerEmployeeID, 'Employee', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="LastContact">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Последнее взаимодействие:
                  </xsl:when>
                  <xsl:otherwise>
                    Last Contact:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(LastContact,'d')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="NextContact">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Следующее взаимодействие:
                  </xsl:when>
                  <xsl:otherwise>
                    Next Contact:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(NextContact,'d')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>