﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:pjm="urn:projectmate-ru:pjm-payment">
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="/">
    <ImportPayments>
      <Payments>
        <xsl:for-each select="XMLExport/payment1C">
          <Payment>
            <Number>
              <xsl:value-of select ="payment/NDoc"/>
            </Number>
            <IncomingNumber>
              <xsl:value-of select ="payment/SysNum"/>
            </IncomingNumber>
            <Date>
              <xsl:value-of select = "pjm:FormatDate(payment/SendDate,'dd.MM.yyyy','yyyy-MM-dd')"/>
            </Date>
            <IncomingDate>
              <xsl:value-of select = "pjm:FormatDate(payment/DatePorucheniya,'dd.MM.yyyy','yyyy-MM-dd')"/>
            </IncomingDate>
            <Type>payment-draft</Type>
            <PayeeCompany>
              <AccountCode>
                <xsl:value-of select ="payment/Recepient/Client/AccountCode"/>
              </AccountCode>
            </PayeeCompany>
            <PayerCompany>
              <FileAs>
                <xsl:value-of select ="payment/Payer/Name"/>
              </FileAs>
              <LegalCode>
                <xsl:value-of select ="payment/Payer/INN"/>
              </LegalCode>
            </PayerCompany>
            <Total>
              <xsl:value-of select="payment/Summa"/>
            </Total>
            <VAT>
              <xsl:value-of select="payment/VAT"/>
            </VAT>
            <Reason>
              <xsl:value-of select="payment/AssignPayment"/>
            </Reason>
            <PaymentLines>
              <xsl:for-each select="payment/PaymentLines/PaymentLine">
                <PaymentLine>
                  <InvoiceNumber>
                    <xsl:value-of select="@InvoiceNumber"/>
                  </InvoiceNumber>
                  <InvoiceDate>
                    <xsl:value-of select="@InvoiceDate"/>
                  </InvoiceDate>
                  <Contract>
                    <xsl:value-of select="@ContractCode"/>
                  </Contract>
                  <VAT>
                    <xsl:value-of select="@VAT"/>
                  </VAT>
                  <VATRate>
                    <xsl:value-of select="@VATRate"/>
                  </VATRate>
                  <Sum>
                    <xsl:value-of select="@Sum"/>
                  </Sum>
                </PaymentLine>
              </xsl:for-each>
            </PaymentLines>
          </Payment>
        </xsl:for-each>
      </Payments>
      <RemovedDocuments>
        <xsl:for-each select="XMLExport/removed/doc">
          <RemovedDocument>
            <xsl:attribute name="Number">
              <xsl:value-of select="@NDoc"/>
            </xsl:attribute>
            <xsl:attribute name="Date">
              <xsl:value-of select="pjm:FormatDate(@SendDate, 'dd.MM.yyyy','yyyy-MM-dd')"/>
            </xsl:attribute>
            <xsl:attribute name="Summa">
              <xsl:value-of select="@Summa"/>
            </xsl:attribute>
            <xsl:attribute name="PayerLegalCode">
              <xsl:value-of select="@INN"/>
            </xsl:attribute>
            <xsl:attribute name="PayerCompany">
              <xsl:value-of select="@Name"/>
            </xsl:attribute>
          </RemovedDocument>
        </xsl:for-each>
      </RemovedDocuments>
    </ImportPayments>
  </xsl:template>
</xsl:stylesheet>
