<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="pjm5PhoneCallCodeGet/PhoneCallCode/FileAs" />
				</TITLE>
				<xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />

			</HEAD>
			<BODY >
				<xsl:value-of select="adf:GetHeader(pjm5PhoneCallCodeGet/PhoneCallCode)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="//PhoneCallCode"/>
			
				<xsl:choose>
					<xsl:when test="//PhoneCallRate/PriceWOVAT">
						<br />
						<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
							<tr>
								<td>
									<strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Стоимость одной минуты телефонных переговоров в различных валютах:
                      </xsl:when>
                      <xsl:otherwise>
                        Phone call rates in different currencies:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
								</td>
							</tr>
						</table>
						<br />
						<table border="1" cellspacing="0" cellpadding="4">
							<tr>
								<th>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Цена (без НДС)
                    </xsl:when>
                    <xsl:otherwise>
                      Price Without VAT
                    </xsl:otherwise>
                  </xsl:choose>
                </th>
								<th>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      НДС
                    </xsl:when>
                    <xsl:otherwise>
                      VAT
                    </xsl:otherwise>
                  </xsl:choose>
                </th>
								<th>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Цена (с НДС)
                    </xsl:when>
                    <xsl:otherwise>
                      Price With VAT
                    </xsl:otherwise>
                  </xsl:choose>
                </th>
								<th>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Валюта
                    </xsl:when>
                    <xsl:otherwise>
                      Currency
                    </xsl:otherwise>
                  </xsl:choose>
                </th>

							</tr>
							<xsl:for-each select="//PhoneCallRate">
								<xsl:apply-templates select="."/>
							</xsl:for-each>
						</table>

					</xsl:when>
					<xsl:otherwise>	</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="adf:GetFooter(pjm5PhoneCallCodeGet/PhoneCallCode)"  disable-output-escaping="yes"/>


			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template match="PhoneCallRate">
		<tr>
			<td align="right">
				<xsl:variable name="x" select="PriceWOVAT"/>
				<xsl:value-of select="format-number($x,'0.##')"/>
			</td>
			<td align="right">
				<xsl:variable name="y" select="VAT"/>
				<xsl:value-of select="format-number($y,'0.##')"/>
			</td>
			<td align="right">
				<xsl:variable name="z" select="PriceWithVAT"/>
				<xsl:value-of select="format-number($z,'0.##')"/>
			</td>
			<td>
				<xsl:value-of select="CurrencyCode"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="PhoneCallCode">
		<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
			<tr>	
			<td>
					<br />
					<strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Цены указаны с НДС:
              </xsl:when>
              <xsl:otherwise>
                Prices are with VAT:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
					<xsl:choose>
						<xsl:when test="VATIsIncluded='true'">
							<input id="Checkbox1" checked="checked" type="checkbox" disabled="true" />
						</xsl:when>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="VATIsIncluded='false'">
							<input id="Checkbox1" type="checkbox" disabled="false" />
						</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			</table>
	</xsl:template>

	
</xsl:stylesheet>