<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="pjm5ProjectGet/Project/FileAs" />
				</TITLE>
				<xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
			</HEAD>
			<BODY >
				<xsl:value-of select="adf:GetHeader(pjm5ProjectGet/Project)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="//Project"/>
				<xsl:value-of select="adf:GetFooter(pjm5ProjectGet/Project)"  disable-output-escaping="yes"/>

			</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="Project">
		<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="SupplierCompanyID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Исполнитель:
                  </xsl:when>
                  <xsl:otherwise>
                    Assignment
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(SupplierCompanyID, 'Company', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="CustomerCompanyID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Заказчик:
                  </xsl:when>
                  <xsl:otherwise>
                    Customer:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(CustomerCompanyID, 'Company', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="CustomerFinanceManagerID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Фин. менеджер:
                  </xsl:when>
                  <xsl:otherwise>
                    Finance Manager:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(CustomerFinanceManagerID, 'Employee', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="ProjectManagerEmployeeID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Руководитель проекта:
                  </xsl:when>
                  <xsl:otherwise>
                    Project Manager:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(ProjectManagerEmployeeID, 'Employee', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="Date">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Начало:
                  </xsl:when>
                  <xsl:otherwise>
                    Start Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:FormatXmlDate(Date,'d')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="DueDate">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Окончание:
                  </xsl:when>
                  <xsl:otherwise>
                    End Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:FormatXmlDate(DueDate,'d')"/>
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="ProjectTypeID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Тип проекта:
                  </xsl:when>
                  <xsl:otherwise>
                    Project Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(ProjectTypeID, 'ProjectType', 'Name')"/>
						</xsl:when>
						<xsl:otherwise> </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="PriorityID">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Приоритет:
                  </xsl:when>
                  <xsl:otherwise>
                    Priority:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(PriorityID, 'Priority', 'Name')"/> 
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="Duration">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Длительность:
                  </xsl:when>
                  <xsl:otherwise>
                    Duration:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="Duration"/> 
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="PercentComplete">
							<br />
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Готово, %:
                  </xsl:when>
                  <xsl:otherwise>
                    Complete, %:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:variable name="pc" select="PercentComplete"/>
							<xsl:value-of select="format-number($pc*100,'0')"/><br />
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="CurrencyCode">
							<br/>
							<strong>
               <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Валюта:
                  </xsl:when>
                  <xsl:otherwise>
                    Currency:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="CurrencyCode"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="CostCenterID">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Центр затрат:
                  </xsl:when>
                  <xsl:otherwise>
                    Cost Center:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(CostCenterID, 'CostCenter', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>