<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5TaskGet/Task/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5TaskGet/Task)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="//Task"/>
        <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
          <tr>
            <td>
              <xsl:choose>
                <xsl:when test="pjm5TaskGet/BusinessCard">
                  <br/>
                  <strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Исполнители:
                      </xsl:when>
                      <xsl:otherwise>
                        Assignments:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
                  <strong></strong>
                  <br />
                  <br />
                  <table border="1" cellspacing="0" cellpadding="4">
                    <tr>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Сотрудник
                          </xsl:when>
                          <xsl:otherwise>
                            Employee
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Загрузка
                          </xsl:when>
                          <xsl:otherwise>
                            Units
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                      <th>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Работа
                          </xsl:when>
                          <xsl:otherwise>
                            Work
                          </xsl:otherwise>
                        </xsl:choose>
                      </th>
                    </tr>
                    <xsl:for-each select="pjm5TaskGet/BusinessCard">
                      <xsl:apply-templates select="."/>
                    </xsl:for-each>
                  </table>
                </xsl:when>
                <xsl:otherwise>	</xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>
        <xsl:value-of select="adf:GetFooter(pjm5TaskGet/Task)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>


  <xsl:template match="BusinessCard">
    <tr>
      <td align="left">
        <xsl:value-of select="FileAs"/>
      </td>
      <td align="right">
        <xsl:variable name="y" select="Units * 100"/>
        <xsl:value-of select="format-number($y,'0.##')"/>%
      </td>
      <td align="right">
        <xsl:variable name="x" select="Work div 60"/>
        <xsl:value-of select="format-number($x,'0.##')"/> ч.
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="Task">
    <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="ProjectID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Проект:
                  </xsl:when>
                  <xsl:otherwise>
                    Project:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(ProjectID, 'Project', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  (Не указан)
                </xsl:when>
                <xsl:otherwise>
                  (none)
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>

          <xsl:choose>
            <xsl:when test="StartDate">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Начало:
                  </xsl:when>
                  <xsl:otherwise>
                    Start Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(StartDate,'d')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="DueDate">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Исполнить до:
                  </xsl:when>
                  <xsl:otherwise>
                    Due Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:FormatXmlDate(DueDate,'d')"/>
            </xsl:when>
            <xsl:otherwise> </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>

      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="PriorityID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Приоритет:
                  </xsl:when>
                  <xsl:otherwise>
                    Priority:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(PriorityID, 'Priority', 'Name')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="Duration">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Длительность:
                  </xsl:when>
                  <xsl:otherwise>
                    Duration:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:variable name="d" select ="Duration"/>
              <xsl:value-of select="format-number($d,'##0.##')"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="PercentComplete">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Готово, %:
                  </xsl:when>
                  <xsl:otherwise>
                    Complete, %:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="PercentComplete"/>
            </xsl:when>
            <xsl:otherwise>	</xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="ManHour">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Трудозатраты:
                  </xsl:when>
                  <xsl:otherwise>
                    ManHour:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <br />

              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Планируемые:
                </xsl:when>
                <xsl:otherwise>
                  Planned
                </xsl:otherwise>
              </xsl:choose>

              <xsl:variable name="x" select="ManHour"/>

              <xsl:value-of select="format-number($x,'0.##')"/>

              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  ч/час
                </xsl:when>
                <xsl:otherwise>
                  Man Per Hour
                </xsl:otherwise>
              </xsl:choose>

              <br />

              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Фактические:
                </xsl:when>
                <xsl:otherwise>
                  Real:
                </xsl:otherwise>
              </xsl:choose>
              
              <xsl:variable name="y" select="RealManHour"/>
              
              <xsl:value-of select="format-number($y,'0.##')"/>
              
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  ч/час
                </xsl:when>
                <xsl:otherwise>
                  Man Per Hour
                </xsl:otherwise>
              </xsl:choose>
              
              <br />
              
              <xsl:choose>
                <xsl:when test="PlannedManHour">
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      Ожидаемые:
                    </xsl:when>
                    <xsl:otherwise>
                      Estimated:
                    </xsl:otherwise>
                  </xsl:choose>
                  <xsl:variable name="z1" select="PlannedManHour"/>
                  <xsl:choose>
                    <xsl:when test="ManHour!=0">
                      <xsl:variable name="x1" select="ManHour"/>
                      <xsl:value-of select="format-number($x1*(round(($z1 div $x1)*100) div 100),'0.##')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          ч/час
                        </xsl:when>
                        <xsl:otherwise>
                          Man Per Hour
                        </xsl:otherwise>
                      </xsl:choose>
                      <br />
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="format-number($z1,'0.##')"/>
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          ч/час
                        </xsl:when>
                        <xsl:otherwise>
                          Man Per Hour
                        </xsl:otherwise>
                      </xsl:choose>
                      <br />
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="HasFinanceAccess  = 'true'">
              <tr>
                <td>
                  <xsl:choose>
                    <xsl:when test="Budget">
                      <br />
                      <strong>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Бюджет:
                          </xsl:when>
                          <xsl:otherwise>
                            Budget:
                          </xsl:otherwise>
                        </xsl:choose>
                      </strong>
                      <br />

                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Планируемый:
                        </xsl:when>
                        <xsl:otherwise>
                          Planned:
                        </xsl:otherwise>
                      </xsl:choose>
                      <xsl:variable name="bp" select="Budget"/>
                      <xsl:value-of select="format-number($bp,'0.##')"/>
                      <xsl:text> </xsl:text>
                      <xsl:value-of select="CurrencyCode"/>
                      <br />
                      <xsl:choose>
                        <xsl:when test="$lang = 'ru'">
                          Фактический:
                        </xsl:when>
                        <xsl:otherwise>
                          Real:
                        </xsl:otherwise>
                      </xsl:choose>
                      <xsl:variable name="bf" select="RealBudget"/>
                      <xsl:value-of select="format-number($bf,'0.##')"/>
                      <xsl:text> </xsl:text>
                      <xsl:value-of select="CurrencyCode"/>
                      <br />
                      <xsl:choose>
                        <xsl:when test="PlannedBudget">
                          <xsl:choose>
                            <xsl:when test="$lang = 'ru'">
                              Ожидаемый:
                            </xsl:when>
                            <xsl:otherwise>
                              Estimated:
                            </xsl:otherwise>
                          </xsl:choose>
                          <xsl:variable name="bo" select="PlannedBudget"/>
                          <xsl:choose>
                            <xsl:when test="Budget!=0">
                              <xsl:variable name="x1" select="Budget"/>
                              <xsl:value-of select="format-number($x1*(round(($bo div $x1)*100) div 100),'0.##')"/>
                              <xsl:text> </xsl:text>
                              <xsl:value-of select="CurrencyCode"/>
                              <br />
                            </xsl:when>
                            <xsl:otherwise>
                              <xsl:value-of select="format-number($bo,'0.##')"/>
                              <xsl:text> </xsl:text>
                              <xsl:value-of select="CurrencyCode"/>
                              <br />
                            </xsl:otherwise>
                          </xsl:choose>
                        </xsl:when>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>	 </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>